@import "libs/shared/assets/src/global-style/variable";
.input__group {
  label.input__label {
    color: $bg-gray-label;
    font-size: 14px;
    font-family: avertaB, Sans-serif;
    ::ng-deep .label__required {
      color: $bg-error-red;
    }
  }
  .input__message {
    font-size: 12px;
    margin-top: 8px;
    color: $bg-gray-label;
    em {
      margin-right: 8px;
    }
    .text__message {
      font-family: avertaL, Sans-serif;
    }
  }
  .input__message--warning {
    em, span {
      color: $bg-warning-default;
    }
  }
  .input__message--error {
    em, span {
      color: $bg-error-red;
    }
  }
  .input__message--success {
    em, span {
      color: $bg-success-default;
    }
  }
  .input__text {
    font-size: 14px;
    color: $bg-gray-body;
    outline: none;
    box-shadow: none;
    resize: none;
    @include placeholder {
      color: $bg-gray-placeholder;
      font-size: 14px;
    }
    &:active, &:focus {
      &:enabled {
        @include placeholder {
          color: $bg-gray-line;
        }
      }
    }
  }
}
//Input no icon
.input__group.input__group--no-icon {
  .input__text {
    ::ng-deep .ant-upload.ant-upload-drag {
      border: 1px solid $bg-gray-line !important;
      border-radius: 4px;
      margin-top: 4px;
    }
  }
  //Default
  .input__text--default {
    ::ng-deep .ant-upload.ant-upload-drag {
      border: 1px solid $bg-gray-line !important;
      background-color: white;
      &:hover, &:focus {
        border-color: $bg-primary-default !important;
      }
    }
    border-color: $bg-gray-line;
    &:hover, &:focus {
      border-color: $bg-primary-default;
    }
    &:disabled {
      background: $bg-gray-input;
      &:hover, &:focus {
        border-color: $bg-gray-line;
      }
    }
  }
  //Warning
  .input__text--warning {
    ::ng-deep .ant-upload.ant-upload-drag {
      border: 1px solid $bg-warning-light !important;
      background-color: white;
      &:hover, &:focus {
        border-color: $bg-warning-default !important;
      }
    }
    border-color: $bg-warning-light;
    &:hover, &:focus {
      border-color: $bg-warning-default;
    }
    &:disabled {
      background: $bg-gray-input;
      &:hover, &:focus {
        border-color: $bg-warning-light;
      }
    }
  }
  //Error
  .input__text--error {
    ::ng-deep .ant-upload.ant-upload-drag {
      border: 1px solid $bg-error-red !important;
      background-color: white;
      &:hover, &:focus {
        border-color: $bg-error-default !important;
      }
    }
    border-color: $bg-error-red;
    &:hover, &:focus {
      border-color: $bg-error-default;
    }
    &:disabled {
      background: $bg-gray-input;
      &:hover, &:focus {
        border-color: $bg-error-light;
      }
    }
  }
  //Success
  .input__text--success {
    ::ng-deep .ant-upload.ant-upload-drag {
      border: 1px solid $bg-success-light !important;
      background-color: white;
      &:hover, &:focus {
        border-color: $bg-success-default !important;
      }
    }
    &:hover, &:focus {
      border-color: $bg-success-default;
    }
    &:disabled {
      background: $bg-gray-input;
      &:hover, &:focus {
        border-color: $bg-success-light;
      }
    }
  }
}

.ant-upload-disabled {
  ::ng-deep.ant-upload.ant-upload-drag {
    background: $bg-gray-input !important;
  }
}

.file-available {
  margin-left: 5px;
  margin-bottom: -5px;
  color: $bg-error-red !important;
}
